# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-10-15 21:25
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.auth.models
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0008_alter_user_username_max_length'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('user_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('phone', models.CharField(blank=True, max_length=20, verbose_name='Número de Teléfono')),
                ('occupation', models.CharField(blank=True, choices=[('SUBDIRECTOR', 'SUBDIRECTOR'), ('COORDINADOR', 'COORDINADOR'), ('ABOGADO', 'ABOGADO'), ('TECNICO', 'TECNICO')], max_length=100, verbose_name='Cargo laboral')),
            ],
            options={
                'abstract': False,
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Petitioner',
            fields=[
                ('user_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('phone', models.CharField(blank=True, max_length=20, verbose_name='Número de Teléfono')),
                ('numDoc', models.CharField(default='', max_length=20, validators=[django.core.validators.RegexValidator('^\\d{1,12}$')], verbose_name='Numero de Documento')),
                ('gender', models.CharField(blank=True, choices=[('Hombre', 'Hombre'), ('Mujer', 'Mujer')], max_length=50, verbose_name='Genero')),
                ('municipality', models.CharField(blank=True, choices=[('Bucaramanga', 'Bucaramanga'), ('Girón', 'Girón'), ('Floridablanca', 'Floridablanca'), ('Piedecuesta', 'Piedecuesta')], max_length=50, verbose_name='Municipio de Residencia')),
                ('address', models.CharField(blank=True, max_length=100, verbose_name='Dirección Residencia')),
            ],
            options={
                'abstract': False,
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numDoc', models.CharField(default='', max_length=20, validators=[django.core.validators.RegexValidator('^\\d{1,12}$')], verbose_name='Numero de Documento')),
                ('firsrtName', models.CharField(max_length=300, verbose_name='Nombres')),
                ('lastName', models.CharField(max_length=300, verbose_name='Apellidos')),
                ('gender', models.CharField(blank=True, choices=[('Hombre', 'Hombre'), ('Mujer', 'Mujer')], max_length=50, verbose_name='Genero')),
                ('municipality', models.CharField(blank=True, choices=[('Bucaramanga', 'Bucaramanga'), ('Girón', 'Girón'), ('Floridablanca', 'Floridablanca'), ('Piedecuesta', 'Piedecuesta')], max_length=50, verbose_name='Municipio de Residencia')),
                ('address', models.CharField(blank=True, max_length=100, verbose_name='Dirección Residencia')),
                ('phone', models.CharField(blank=True, max_length=20, verbose_name='Número de Teléfono')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='user', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
